// PoissonView.h : interface of the CPoissonView class
//


#pragma once


class CPoissonView : public CView
{
protected: // create from serialization only
	CPoissonView();
	DECLARE_DYNCREATE(CPoissonView)

// Attributes
public:
	CPoissonDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CPoissonView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileProcessgradient();
};

#ifndef _DEBUG  // debug version in PoissonView.cpp
inline CPoissonDoc* CPoissonView::GetDocument() const
   { return reinterpret_cast<CPoissonDoc*>(m_pDocument); }
#endif

